#version 300 es
precision mediump float;
uniform mediump float kernel;
uniform mediump float angle;
uniform mediump float spacing;
in mediump vec2 vTex;
out lowp vec4 outColor;
uniform lowp sampler2D samplerFront;
uniform mediump vec2 pixelSize;

void main(void)
{  
    float r = radians(- angle + 90.);
    vec2 angleR = spacing * vec2(sin(r), cos(r));
    vec4 col = vec4(0);
    
    for(float i = 1. ; i <= kernel; i++)
    {
        col += texture(samplerFront, vTex - angleR * (i - kernel * 0.5) * pixelSize);
    }

    outColor = col / kernel;
}